#ifndef CHIP_V84XXX_REGS_MMAP_H
#define CHIP_V84XXX_REGS_MMAP_H

#include "chip_dev_spec_features.h"

/* Peripherals */
#define CHIP_MEMRGN_ADDR_APB1                     (0x40000000UL)
#define CHIP_MEMRGN_ADDR_APB2                     (0x40010000UL)
#define CHIP_MEMRGN_ADDR_AHB                      (0x40018000UL)
#define CHIP_MEMRGN_ADDR_XMC_MEM                  (0x60000000UL)
#define CHIP_MEMRGN_ADDR_XMC_REG                  (0xA0000000UL)

/* Адреса блоков периферии */
/* APB1 */
#define CHIP_MEMRGN_ADDR_PERIPH_TMR2              (CHIP_MEMRGN_ADDR_APB1 + 0x0000)
#define CHIP_MEMRGN_ADDR_PERIPH_TMR3              (CHIP_MEMRGN_ADDR_APB1 + 0x0400)
#define CHIP_MEMRGN_ADDR_PERIPH_TMR4              (CHIP_MEMRGN_ADDR_APB1 + 0x0800)
#define CHIP_MEMRGN_ADDR_PERIPH_TMR5              (CHIP_MEMRGN_ADDR_APB1 + 0x0C00)
#define CHIP_MEMRGN_ADDR_PERIPH_TMR6              (CHIP_MEMRGN_ADDR_APB1 + 0x1000)
#define CHIP_MEMRGN_ADDR_PERIPH_TMR7              (CHIP_MEMRGN_ADDR_APB1 + 0x1400)
#define CHIP_MEMRGN_ADDR_PERIPH_TMR12             (CHIP_MEMRGN_ADDR_APB1 + 0x1800)
#define CHIP_MEMRGN_ADDR_PERIPH_TMR13             (CHIP_MEMRGN_ADDR_APB1 + 0x1C00)
#define CHIP_MEMRGN_ADDR_PERIPH_TMR14             (CHIP_MEMRGN_ADDR_APB1 + 0x2000)
#define CHIP_MEMRGN_ADDR_PERIPH_RTC               (CHIP_MEMRGN_ADDR_APB1 + 0x2800)
#define CHIP_MEMRGN_ADDR_PERIPH_WWDG              (CHIP_MEMRGN_ADDR_APB1 + 0x2C00)
#define CHIP_MEMRGN_ADDR_PERIPH_IWDG              (CHIP_MEMRGN_ADDR_APB1 + 0x3000)
#define CHIP_MEMRGN_ADDR_PERIPH_SPI2_I2S2         (CHIP_MEMRGN_ADDR_APB1 + 0x3800)
#define CHIP_MEMRGN_ADDR_PERIPH_SPI3_I2S3         (CHIP_MEMRGN_ADDR_APB1 + 0x3C00)
#define CHIP_MEMRGN_ADDR_PERIPH_SPI4_I2S4         (CHIP_MEMRGN_ADDR_APB1 + 0x4000)
#define CHIP_MEMRGN_ADDR_PERIPH_USART2            (CHIP_MEMRGN_ADDR_APB1 + 0x4400)
#define CHIP_MEMRGN_ADDR_PERIPH_USART3            (CHIP_MEMRGN_ADDR_APB1 + 0x4800)
#define CHIP_MEMRGN_ADDR_PERIPH_UART4             (CHIP_MEMRGN_ADDR_APB1 + 0x4C00)
#define CHIP_MEMRGN_ADDR_PERIPH_UART5             (CHIP_MEMRGN_ADDR_APB1 + 0x5000)
#define CHIP_MEMRGN_ADDR_PERIPH_I2C1              (CHIP_MEMRGN_ADDR_APB1 + 0x5400)
#define CHIP_MEMRGN_ADDR_PERIPH_I2C2              (CHIP_MEMRGN_ADDR_APB1 + 0x5800)
#define CHIP_MEMRGN_ADDR_PERIPH_USB_FS            (CHIP_MEMRGN_ADDR_APB1 + 0x5C00)
#define CHIP_MEMRGN_ADDR_PERIPH_USB_SRAM1         (CHIP_MEMRGN_ADDR_APB1 + 0x6000)
#define CHIP_MEMRGN_ADDR_PERIPH_CAN               (CHIP_MEMRGN_ADDR_APB1 + 0x6400)
#define CHIP_MEMRGN_ADDR_PERIPH_I2C3              (CHIP_MEMRGN_ADDR_APB1 + 0x6800)
#define CHIP_MEMRGN_ADDR_PERIPH_BKPR              (CHIP_MEMRGN_ADDR_APB1 + 0x6C00)
#define CHIP_MEMRGN_ADDR_PERIPH_PWR               (CHIP_MEMRGN_ADDR_APB1 + 0x7000)
#define CHIP_MEMRGN_ADDR_PERIPH_USB_SRAM2         (CHIP_MEMRGN_ADDR_APB1 + 0x7800)
/* APB2 */
#define CHIP_MEMRGN_ADDR_PERIPH_AFIO              (CHIP_MEMRGN_ADDR_APB2 + 0x0000)
#define CHIP_MEMRGN_ADDR_PERIPH_EXTI              (CHIP_MEMRGN_ADDR_APB2 + 0x0400)
#define CHIP_MEMRGN_ADDR_PERIPH_GPIOA             (CHIP_MEMRGN_ADDR_APB2 + 0x0800)
#define CHIP_MEMRGN_ADDR_PERIPH_GPIOB             (CHIP_MEMRGN_ADDR_APB2 + 0x0C00)
#define CHIP_MEMRGN_ADDR_PERIPH_GPIOC             (CHIP_MEMRGN_ADDR_APB2 + 0x1000)
#define CHIP_MEMRGN_ADDR_PERIPH_GPIOD             (CHIP_MEMRGN_ADDR_APB2 + 0x1400)
#define CHIP_MEMRGN_ADDR_PERIPH_GPIOE             (CHIP_MEMRGN_ADDR_APB2 + 0x1800)
#define CHIP_MEMRGN_ADDR_PERIPH_ADC               (CHIP_MEMRGN_ADDR_APB2 + 0x2400)
#define CHIP_MEMRGN_ADDR_PERIPH_TMR1              (CHIP_MEMRGN_ADDR_APB2 + 0x2C00)
#define CHIP_MEMRGN_ADDR_PERIPH_SPI1_I2S1         (CHIP_MEMRGN_ADDR_APB2 + 0x3000)
#define CHIP_MEMRGN_ADDR_PERIPH_TMR8              (CHIP_MEMRGN_ADDR_APB2 + 0x3400)
#define CHIP_MEMRGN_ADDR_PERIPH_USART1            (CHIP_MEMRGN_ADDR_APB2 + 0x3800)
#define CHIP_MEMRGN_ADDR_PERIPH_TMR9              (CHIP_MEMRGN_ADDR_APB2 + 0x4C00)
#define CHIP_MEMRGN_ADDR_PERIPH_TMR10             (CHIP_MEMRGN_ADDR_APB2 + 0x5000)
#define CHIP_MEMRGN_ADDR_PERIPH_TMR11             (CHIP_MEMRGN_ADDR_APB2 + 0x5400)
#define CHIP_MEMRGN_ADDR_PERIPH_USART6            (CHIP_MEMRGN_ADDR_APB2 + 0x6000)
#define CHIP_MEMRGN_ADDR_PERIPH_UART7             (CHIP_MEMRGN_ADDR_APB2 + 0x6400)
#define CHIP_MEMRGN_ADDR_PERIPH_UART8             (CHIP_MEMRGN_ADDR_APB2 + 0x6800)
/* AHB */
#define CHIP_MEMRGN_ADDR_PERIPH_DMA1              (CHIP_MEMRGN_ADDR_AHB  + 0x8000)
#define CHIP_MEMRGN_ADDR_PERIPH_DMA2              (CHIP_MEMRGN_ADDR_AHB  + 0x8400)
#define CHIP_MEMRGN_ADDR_PERIPH_RCC               (CHIP_MEMRGN_ADDR_AHB  + 0x9000)
#define CHIP_MEMRGN_ADDR_PERIPH_EXMC              (CHIP_MEMRGN_ADDR_AHB  + 0xA000)
#define CHIP_MEMRGN_ADDR_PERIPH_CRC               (CHIP_MEMRGN_ADDR_AHB  + 0xB000)



#endif // CHIP_V84XXX_REGS_MMAP_H
